Name:		cftp
Version:	1.3.7
Release: 	0
Copyright: 	GPL
Source: 	cftp-%{version}.tar.gz
URL: 		http://malekith.topnet.pl/
BuildRoot:	/tmp/%{name}-%{version}-root
Group:		Applications/Networking
Group(pl):	Aplikacje/Sieciowe
Summary: 	cryptoFTP -- encrypts file transfers
Summary(pl):	cryptoFTP -- szyfruje transfer plikw

%package client
Requires:	cftp
Group:		Applications/Networking
Group(pl):	Aplikacje/Sieciowe
Summary: 	cryptoFTP client -- encrypts file transfers
Summary(pl):	klient cryptoFTP -- szyfruje transfer plikw

%package server
Summary: 	cryptoFTP server -- encrypts file transfers
Summary(pl):	serwer cryptoFTP -- szyfruje transfer plikw
Group:		Daemons
Group(pl):	Serwery
Requires:	inetdaemon
Requires:	rc-inetd
Requires:	cftp
Provides:	cftpserver

%description
cryptoFTP (cftp for short) is a program to login remote machine and
transfer files back and fourth encrypted connection. It can also forward
ports so you can easy get your mail with secured pop3. It protects you
against number of attacks including sniffing and man-in-the-middle
attack.

This is only base package. You'll need cftp-client and/or cftp-server
to use it.

%description -l pl
cryptoFTP (cftp w skrcie) pozwala zalogowa si do innego systemu i
przesya pliki w obie strony uywajc szyfrowanego poczenia. Moe
rwnie forwardowa porty, wic istnieje moliwo np. bezpiecznego (i
atwego) odbioru poczty przez pop3. Chroni przed wieloma atakami
wczajc sniffing i atak typu czowiek-w-rodku.

To tylko pakiet bazowy. Bedziesz potrzebowa cftp-client i/lub cftp-server
aby go wykorzysta.

%description server
This package provides you with cryptoFTP server, so user can login your
machine and transfer files.

%description server -l pl
Ten pakiet dostarcza serwer cryptoFTP by uytkownicy mogli zalogowa
si do tego systemu i przesya pliki.

%description client
This package provides you with cryptoFTP client, so you can login into
remote machine and transfer files.

%description client -l pl
Ten pakiet dostarcza klienta cryptoFTP by mg zalogowa si do innego
systemu i przesya pliki.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
gzip -9nf README COPYING
make install-files root=$RPM_BUILD_ROOT daemon_dir=%{_sbindir}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rc-inetd
install cftp.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/cftp
install cftpd.rc-inetd $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rc-inetd/cftpd

%post server
if [ ! -f /etc/cftp/cftp.key.private -a ! -s /etc/cftp/cftp.key.private ]; then
	%{_sbindir}/cftp-keygen
fi
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet sever" 1>&2
fi

%postun server
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd restart
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files server
%defattr(644, root, root, 755)
%attr(755, root, root) %{_sbindir}/*
%attr(640, root, root) %config /etc/cftp/cftpd.config
%attr(640, root, root) %config /etc/pam.d/cftp
%attr(640, root, root) %config /etc/sysconfig/rc-inetd/cftpd

%files client
%defattr(644, root, root, 755) 
%attr(755, root, root) %{_bindir}/*

%files
%defattr(644, root, root, 755) 
%doc README.gz COPYING.gz
%dir /etc/cftp

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

