/*
 * Copyright (c) y2k Micha Moskal <malekith@topnet.pl>
 *
 * This file is part of libcftp - cftp protocol implementation.
 * CryptoFTP is free software. You can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License (see COPYING.LGPL 
 * for details).
 *
 * $Id: printf.c,v 1.2 2000/04/22 21:14:42 malekith Exp $
 */

#define _GNU_SOURCE
#include "config.h"
#include <stdio.h>
#include <stdarg.h>

#include "utils.h"

char *xvprintf(const char *fmt, va_list ap)
{
#if defined(__GLIBC__) || defined(__GNU_LIBRARY__)
	char *p;	

	vasprintf(&p, fmt, ap);
	return p;
#else
	char buf[1024];
	
	vsprintf(buf, fmt, ap);
	return xstrdup(buf);
#endif
}

char *xprintf(const char *fmt, ... )
{
	va_list ap;
	char *r;
	
	va_start(ap, fmt);
	r = xvprintf(fmt, ap);
	va_end(ap);
	return r;
}
